[aliases]
test = nosetests

[nosetests]
# Note: values must be set to 1, and have no comments on the same line,
# for "python setup.py nosetests" to work correctly.
nocapture=1
# Comment this out to see CherryPy logs on failure:
nologcapture=1
with-coverage=1
cover-inclusive=1
cover-package=nilmdb
cover-erase=1
# this works, puts html output in cover/ dir:
# cover-html=1
#debug=nose
#debug-log=nose.log
stop=1
verbosity=2
tests=tests
#tests=tests/test_threadsafety.py
#tests=tests/test_bulkdata.py
#tests=tests/test_mustclose.py
#tests=tests/test_lrucache.py
#tests=tests/test_cmdline.py
#tests=tests/test_layout.py
#tests=tests/test_rbtree.py
#tests=tests/test_interval.py
#tests=tests/test_rbtree.py,tests/test_interval.py
#tests=tests/test_interval.py
#tests=tests/test_client.py
#tests=tests/test_timestamper.py
#tests=tests/test_serializer.py
#tests=tests/test_iteratorizer.py
#tests=tests/test_client.py:TestClient.test_client_nilmdb
#tests=tests/test_nilmdb.py
#with-profile=1
#profile-sort=time
##profile-restrict=10  # doesn't work right, treated as string or something

[versioneer]
VCS=git
style=pep440
versionfile_source=nilmdb/_version.py
versionfile_build=nilmdb/_version.py
tag_prefix=nilmdb-
parentdir_prefix=nilmdb-

[flake8]
exclude=_version.py
extend-ignore=E731
per-file-ignores=__init__.py:F401,E402 \
        serializer.py:E722 \
        mustclose.py:E722 \
        fsck.py:E266

[pylint]
ignore=_version.py
disable=C0103,C0111,R0913,R0914
